<?php

namespace App\Notifications;

use Illuminate\Bus\Queueable;
use Illuminate\Notifications\Notification;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;

class WelcomeEmail extends Notification implements ShouldQueue
{
    use Queueable;

    /**
     * Create a new notification instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Get the notification's delivery channels.
     *
     * @param  mixed  $notifiable
     * @return array
     */
    public function via($notifiable)
    {
        return ['mail'];
    }

    /**
     * Get the mail representation of the notification.
     *
     * @param  mixed  $notifiable
     * @return \Illuminate\Notifications\Messages\MailMessage
     */
    public function toMail($notifiable)
    {
        return (new MailMessage)
            ->subject(__('welcome.subject'))
            ->line(__('welcome.line_1'))
            ->action(__('welcome.action'), url('https://controlla.com.mx/'). '?' . http_build_query(
                [
                  'utm_source' => 'welcome_mail',
                  'utm_medium' => 'email' ,
                  'utm_campaign' => 'sistema',
                  'utm_content' => 'boton',
                ]
              ));
    }

}
